summaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-patch-vm
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-patch-vm')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-patch-vm22
1 files changed, 22 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-patch-vm b/framework/src/onos/tools/test/bin/onos-patch-vm
new file mode 100755
index 00000000..39f1c603
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-patch-vm
@@ -0,0 +1,22 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Remotely patches the ONOS VM to tailor its hostname.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+address=${1:-$OCI}
+remote=$ONOS_USER@$address
+name=${2:-onos-1}
+
+[ -z "$address" ] && echo "Null address not allowed" >&2 && exit 1
+[ -z "$name" ] && echo "Null name not allowed" >&2 && exit 1
+
+ssh $remote "
+ sudo perl -pi.bak -e \"s/127.0.1.1.*/127.0.1.1 $name/g\" /etc/hosts
+ sudo bash -c \"echo $name >/etc/hostname\"
+ sudo hostname $name
+" 2>/dev/null
+
+echo "$address: $(ssh $remote hostname)"